petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchSetUp

Sets up the internal data structures for the later use of a Tao solver

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetUp(TaoLineSearch ls)

Collective on ls Many br

### Input Parameters

ls - the TaoLineSearch context Many br

### Notes

The user will not need to explicitly call TaoLineSearchSetUp(), as it will Many brautomatically be called in TaoLineSearchSolve(). However, if the user Many brdesires to call it explicitly, it should come after TaoLineSearchCreate() Many brbut before TaoLineSearchApply(). Many br

Many br

### See Also

TaoLineSearchCreate(), TaoLineSearchApply()

Level:developer
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages